%define version 0.16.0
%define release 1mdk

Name:		sitecopy
Version:	%{version}
Release:	%{release}
Summary:	Tool for easily maintaining remote web sites
License:	GPL
Group:		Networking/File transfer
Source0:	http://www.lyra.org/sitecopy/sitecopy-%{version}.tar.bz2
Source1:	%{name}.bash-completion.bz2
URL:		http://www.lyra.org/sitecopy/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	openssl-devel
BuildRequires:	krb5-devel

%description
sitecopy allows you to easily maintain remote Web sites.  The program
will upload files to the server which have changed locally, and delete
files from the server which have been removed locally, to keep the
remote site synchronized with the local site, with a single
command. sitecopy will also optionally try to spot files you move
locally, and move them remotely.  FTP and WebDAV servers are
supported.

%prep
%setup -q
bzcat %{SOURCE1} > %{name}.bash-completion

%build
# vanilla sitecopy.
mkdir sitecopy; cd sitecopy

CONFIGURE_TOP=.. %configure2_5x \
	--enable-debug \
	--with-ssl \
	--with-included-expat \
	--with-included-neon \
	--disable-rsh
%make

%install
rm -rf $RPM_BUILD_ROOT
pushd sitecopy
%makeinstall_std
popd

%find_lang %{name}

# (sb) remove fr man pages
rm -fr $RPM_BUILD_ROOT/%{_mandir}/fr

# fix doc file permissions
chmod 0644 COPYING ChangeLog INSTALL NEWS README* THANKS TODO

# (sb) installed but unpackaged files
rm -fr $RPM_BUILD_ROOT/%{_prefix}/doc

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -m 644 %{name}.bash-completion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/sitecopy
%{_mandir}/man1/*
%{_prefix}/share/sitecopy
%doc COPYING ChangeLog INSTALL NEWS README* THANKS TODO
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}

%changelog
* Mon Sep 12 2005 Stew Benedict <sbenedict@mandriva.com> 0.16.0-1mdk
- 0.16.0
- drop French man page (S2, provided by man-pages-fr, #18475)

* Thu Jun 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.15.1-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Mon May 02 2005 Stew Benedict <sbenedict@mandriva.com> 0.15.1-1mdk
- New release 0.15.1

* Mon Mar 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.15.0-1mdk
- 0.15.0

* Fri Mar 12 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.13.4-5mdk
- add French man page from Nicolas Girard

* Fri Jan 30 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.13.4-4mdk
- remove file specific BuildRequires (unresolved dependencies in distro)

* Sat Jan 17 2004 Abel Cheung <deaddog@deaddog.org> 0.13.4-3mdk
- Remove bash-completion dependency
- configure2_5x
- Fix BuildRequires
- Really link against openssl

* Tue Dec 30 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.13.4-2mdk
- added bash-completion

* Thu Dec 11 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.13.4-1mdk
- 0.13.4

* Wed Jul  2 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.13.3-1mdk
- 0.13.3

* Thu May 22 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.13.0-1mdk
- 0.13.0

* Mon Apr 28 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.12.1-1mdk
- 0.12.1, BuildRequires, drop xsitecopy - pretty broken 

* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.11.4-2mdk
- rebuild for new glibc/rpm

* Sun Jul 14 2002 Roger <roger@linuxfreemail.com> 0.11.4-1mdk
- ok. i'm stumped. (didn't know a cvs existed) rebuilt for 0.11.4 release.
- now builds both sitecopy/xsitecopy
- fix BuildRoot, s/Copyright/License/, rpmlint fixes (sb)

* Tue Jul  2 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.11.4-0.20020206.1mdk
- first Mandrake release

